Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 2753073006: [Mojo Video Capture] Add support to BuildableVideoCaptureDevice for aborting the device start. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 1 week ago by chfremer
Modified:
1 month, 3 weeks ago
Reviewers:
emircan, mcasas, miu
CC:
chromium-reviews, posciak+watch_chromium.org, chfremer+watch_chromium.org, jam, feature-media-reviews_chromium.org, darin-cc_chromium.org, xjz+watch_chromium.org, miu+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[Mojo Video Capture] Add support to BuildableVideoCaptureDevice for aborting the device start. This CL is supposed to be a pure refactoring. There should be no changes to existing behavior. This is part of a series of CLs with the goal of separating the class VideoCaptureManager from knowledge of things that are going to be private implementation details of the video capture service. The end goal is to have VideoCaptureManager talk to an abstraction that can be implemented by either the video capture Mojo service or the existing (legacy) in-process implementation. Changes in this CL: * When a request to stop a device comes in while the device is still starting up asynchronously, the device needs to be stopped as soon as it has finished starting up. This CL moves the logic for this from VideoCaptureManager to implementations of BuildableVideoCaptureDevice. * Some naming improvements This CL is part of the Mojo Video Capture work. For the bigger picture, see [1] CL17. BUG=584797 TEST= content_browsertests --gtest_filter="VideoCaptureBrowserTest.*" content_unittests --gtest_filter="*Video*" [1] https://docs.google.com/a/chromium.org/document/d/1Qw7rw1AJy0QHXjha36jZNiEuxsxWslJ_X-zpOhijvI8/edit?usp=sharing Review-Url: https://codereview.chromium.org/2753073006 Cr-Commit-Position: refs/heads/master@{#461486} Committed: https://chromium.googlesource.com/chromium/src/+/04f617af016ca074f249a17183a0eb79d7a2ad60

Patch Set 1 #

Total comments: 7

Patch Set 2 : Incorporate suggestions from Patch Set 1 #

Total comments: 8

Patch Set 3 : Rebase to March 30 #

Patch Set 4 : Incorporated mcasas@'s suggestions from PatchSet 2 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+192 lines, -181 lines) Patch
M content/browser/renderer_host/media/buildable_video_capture_device.h View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/renderer_host/media/in_process_buildable_video_capture_device.h View 1 2 2 chunks +8 lines, -0 lines 0 comments Download
M content/browser/renderer_host/media/in_process_buildable_video_capture_device.cc View 1 2 3 5 chunks +65 lines, -31 lines 0 comments Download
M content/browser/renderer_host/media/video_capture_browsertest.cc View 1 2 2 chunks +4 lines, -4 lines 0 comments Download
M content/browser/renderer_host/media/video_capture_host.cc View 4 chunks +4 lines, -4 lines 0 comments Download
M content/browser/renderer_host/media/video_capture_manager.h View 1 2 3 7 chunks +22 lines, -19 lines 0 comments Download
M content/browser/renderer_host/media/video_capture_manager.cc View 1 2 17 chunks +80 lines, -110 lines 0 comments Download
M content/browser/renderer_host/media/video_capture_manager_unittest.cc View 3 chunks +8 lines, -13 lines 0 comments Download
Trybot results:  linux_chromium_chromeos_ozone_rel_ng   linux_android_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator-xcode-clang   mac_chromium_compile_dbg_ng   ios-simulator   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   ios-device   linux_chromium_chromeos_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_arm64_dbg_recipe   android_clang_dbg_recipe   ios-simulator   ios-simulator   win_clang   win_chromium_rel_ng   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   ios-device-xcode-clang   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator   ios-device   ios-simulator-xcode-clang   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromium_presubmit   linux_chromium_asan_rel_ng   cast_shell_android   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   cast_shell_linux   android_cronet   android_n5x_swarming_rel   android_clang_dbg_recipe   android_compile_dbg   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Depends on Patchset:

Dependent Patchsets:

Messages

Total messages: 24 (14 generated)
chfremer
miu@: PTAL emircan@: PTAL mcasas@: FYI
2 months, 1 week ago (2017-03-17 20:31:46 UTC) #5
miu
lgtm % a few things to consider to simplify things: https://codereview.chromium.org/2753073006/diff/20001/content/browser/renderer_host/media/in_process_buildable_video_capture_device.cc File content/browser/renderer_host/media/in_process_buildable_video_capture_device.cc (right): https://codereview.chromium.org/2753073006/diff/20001/content/browser/renderer_host/media/in_process_buildable_video_capture_device.cc#newcode302 ...
2 months, 1 week ago (2017-03-17 21:48:02 UTC) #6
chfremer
PTAL https://codereview.chromium.org/2753073006/diff/20001/content/browser/renderer_host/media/in_process_buildable_video_capture_device.cc File content/browser/renderer_host/media/in_process_buildable_video_capture_device.cc (right): https://codereview.chromium.org/2753073006/diff/20001/content/browser/renderer_host/media/in_process_buildable_video_capture_device.cc#newcode302 content/browser/renderer_host/media/in_process_buildable_video_capture_device.cc:302: std::move(buffer_pool), On 2017/03/17 21:48:02, miu wrote: > Note: ...
2 months ago (2017-03-21 22:37:23 UTC) #9
chfremer
mcasas@: PTAL
2 months ago (2017-03-21 23:05:28 UTC) #10
miu
still lgtm https://codereview.chromium.org/2753073006/diff/20001/content/browser/renderer_host/media/video_capture_manager.cc File content/browser/renderer_host/media/video_capture_manager.cc (right): https://codereview.chromium.org/2753073006/diff/20001/content/browser/renderer_host/media/video_capture_manager.cc#newcode329 content/browser/renderer_host/media/video_capture_manager.cc:329: device_start_request_queue_.begin(), device_start_request_queue_.end(), On 2017/03/21 22:37:23, chfremer wrote: ...
2 months ago (2017-03-22 21:33:28 UTC) #11
chfremer
https://codereview.chromium.org/2753073006/diff/40001/content/browser/renderer_host/media/in_process_buildable_video_capture_device.cc File content/browser/renderer_host/media/in_process_buildable_video_capture_device.cc (right): https://codereview.chromium.org/2753073006/diff/40001/content/browser/renderer_host/media/in_process_buildable_video_capture_device.cc#newcode68 content/browser/renderer_host/media/in_process_buildable_video_capture_device.cc:68: std::move(done_cb).Run(); On 2017/03/22 21:33:28, miu wrote: > nit: Is ...
2 months ago (2017-03-22 22:37:52 UTC) #12
mcasas
lgtm https://codereview.chromium.org/2753073006/diff/40001/content/browser/renderer_host/media/in_process_buildable_video_capture_device.cc File content/browser/renderer_host/media/in_process_buildable_video_capture_device.cc (right): https://codereview.chromium.org/2753073006/diff/40001/content/browser/renderer_host/media/in_process_buildable_video_capture_device.cc#newcode102 content/browser/renderer_host/media/in_process_buildable_video_capture_device.cc:102: DCHECK(state_ == State::NO_DEVICE); DCHECK_EQ(State::NO_DEVICE, state_) ? Not sure ...
2 months ago (2017-03-24 21:54:36 UTC) #13
chfremer
Thanks for the review! https://codereview.chromium.org/2753073006/diff/40001/content/browser/renderer_host/media/in_process_buildable_video_capture_device.cc File content/browser/renderer_host/media/in_process_buildable_video_capture_device.cc (right): https://codereview.chromium.org/2753073006/diff/40001/content/browser/renderer_host/media/in_process_buildable_video_capture_device.cc#newcode102 content/browser/renderer_host/media/in_process_buildable_video_capture_device.cc:102: DCHECK(state_ == State::NO_DEVICE); On 2017/03/24 ...
1 month, 3 weeks ago (2017-03-31 17:25:38 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2753073006/80001
1 month, 3 weeks ago (2017-04-03 16:42:15 UTC) #21
commit-bot: I haz the power
1 month, 3 weeks ago (2017-04-03 18:42:53 UTC) #24
Message was sent while issue was closed.
Committed patchset #4 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/04f617af016ca074f249a17183a0...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06